# $Revision: 1.24 $, $Date: 2011/04/08 19:44:29 $
#
# TODO:
#	- package and R: Csdp (https://projects.coin-or.org/Csdp)
#
# Conditional build:
%bcond_with	tests	# run testsuite (csdp dependant micromega tests fail badly on x86_64)
#
Summary:	The Coq Proof Assistant
Summary(pl.UTF-8):	Coq - narzędzie pomagające w udowadnianiu
Name:		coq
Version:	8.3pl1
Release:	1
License:	GPL
Group:		Applications/Math
Vendor:		INRIA Rocquencourt
Source0:	http://coq.inria.fr/V%{version}/files/%{name}-%{version}.tar.gz
# Source0-md5:	1869d22b337f5da59ba3bbe1433f9a3b
Source1:	coqide.desktop
Source2:	coqide.xpm
Patch0:		%{name}-lablgtk2.patch
URL:		http://coq.inria.fr/
BuildRequires:	bash
BuildRequires:	emacs
BuildRequires:	hevea
BuildRequires:	netpbm-progs
BuildRequires:	ocaml >= 3.09.0
BuildRequires:	camlp5 >= 5.01
BuildRequires:	ocaml-lablgtk2-devel >= 2.12.0
BuildRequires:	sed >= 4.0
BuildRequires:	texlive-latex-ams
BuildRequires:	texlive-latex-comment
BuildRequires:	texlive-latex-moreverb
BuildRequires:	texlive-psutils
BuildRequires:	texlive-format-pdflatex
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Coq is a proof assistant which:
 - allows to handle calculus assertions,
 - check mechanically proofs of these assertions,
 - helps to find formal proofs,
 - extracts a certified program from the constructive proof of its
   formal specification.

%description -l pl.UTF-8
Coq to narzędzie pomagające w udowadnianiu, które:
- pozwala uporać się z twierdzeniami dotyczącymi rachunku
  różniczkowego,
- mechanicznie sprawdzać dowody tych twierdzeń,
- pomagać w znalezieniu formalnych dowodów,
- wyciągać program o dowiedzionej poprawności z konstruktywnego
  dowodu jego formalnej specyfikacji.

%package emacs
Summary:	Emacs mode and syntax for Coq
Summary(pl.UTF-8):	Tryb i składnia Coq dla Emacsa
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description emacs
Emacs mode and suyntax files for Coq.

%description emacs -l pl.UTF-8
Pliki trybu i składni Coq dla Emacsa.

%package latex
Summary:	Coq documentation style for latex
Summary(pl.UTF-8):	Styl dokumentacji Coq dla latexa
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description latex
Coq documentation style for latex.

%description latex -l pl.UTF-8
Styl dokumentacji Coq dla latexa.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e 's|#!/bin/sh|#!/bin/bash|' test-suite/check
%{__sed} -i -e 's|\(MAKE_TSOPTS=.*\) -s \(.*\)|\1 \2|' Makefile.build

%build
./configure \
	-bindir %{_bindir} \
	-libdir %{_libdir}/coq \
	-mandir %{_mandir} \
	-docdir %{_docdir}/%{name}-%{version} \
	-emacs emacs \
	-browser "xdg-open %s" \
	-emacslib %{_datadir}/emacs/site-lisp \
	-opt \
	--coqdocdir %{_datadir}/texmf/tex/latex/misc \
	--coqide opt

%{__make} -j1 world VERBOSE=1
%{?with_tests:%{__make} -j1 check VERBOSE=1}	# Use native coq to compile theories

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} -e install \
	COQINSTALLPREFIX=$RPM_BUILD_ROOT/
# To install only locally the binaries compiled with absolute paths

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

# pdf is enough
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/ps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_docdir}/%{name}-%{version}
%attr(755,root,root) %{_bindir}/coq_makefile
%attr(755,root,root) %{_bindir}/coq-tex
%attr(755,root,root) %{_bindir}/coqc
%attr(755,root,root) %{_bindir}/coqchk
%attr(755,root,root) %{_bindir}/coqchk.opt
%attr(755,root,root) %{_bindir}/coqdep
%attr(755,root,root) %{_bindir}/coqdoc
%attr(755,root,root) %{_bindir}/coqide*
%attr(755,root,root) %{_bindir}/coqmktop
%attr(755,root,root) %{_bindir}/coqtop
%attr(755,root,root) %{_bindir}/coqtop.byte
%attr(755,root,root) %{_bindir}/coqtop.opt
%attr(755,root,root) %{_bindir}/coqwc
%attr(755,root,root) %{_bindir}/gallina
%dir %{_libdir}/coq
%{_libdir}/coq/*
%{_mandir}/man1/coq_makefile.1*
%{_mandir}/man1/coq-tex.1*
%{_mandir}/man1/coqc.1*
%{_mandir}/man1/coqchk.1*
%{_mandir}/man1/coqdep.1*
%{_mandir}/man1/coqdoc.1*
%{_mandir}/man1/coqide.1*
%{_mandir}/man1/coqmktop.1*
%{_mandir}/man1/coqtop.1*
%{_mandir}/man1/coqtop.byte.1*
%{_mandir}/man1/coqtop.opt.1*
%{_mandir}/man1/coqwc.1*
%{_mandir}/man1/gallina.1*
%{_desktopdir}/coqide.desktop
%{_pixmapsdir}/coqide.xpm

%files emacs
%defattr(644,root,root,755)
%{_datadir}/emacs/site-lisp/coq.el
%{_datadir}/emacs/site-lisp/coq-db.el
%{_datadir}/emacs/site-lisp/coq-font-lock.el
%{_datadir}/emacs/site-lisp/coq-inferior.el
%{_datadir}/emacs/site-lisp/coq-syntax.el

%files latex
%defattr(644,root,root,755)
%{_datadir}/texmf/tex/latex/misc/coqdoc.sty

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: coq.spec,v $
Revision 1.24  2011/04/08 19:44:29  baggins
- rel 1

Revision 1.23  2011/04/08 18:51:59  baggins
- package installed docs

Revision 1.22  2011/04/08 18:31:08  baggins
- TODO and proper explanation why tests fail
- made make loud

Revision 1.21  2011/04/08 16:51:50  baggins
- tests bcond
- use xdg_open as browser

Revision 1.20  2011/04/08 11:56:40  baggins
- moved emacs and latex stuff to separate packages

Revision 1.19  2011/04/08 11:39:34  baggins
- updated files
- install docs to docdir

Revision 1.18  2011/04/08 07:55:27  baggins
- more texlive BR

Revision 1.17  2011/04/07 22:38:18  baggins
- more latex deps

Revision 1.16  2011/04/07 22:16:40  baggins
- BR texlive-latex-ams

Revision 1.15  2011/04/07 21:42:44  baggins
- 8.3pl1
- added desktop file and icon for coqide

Revision 1.14  2011/04/06 09:15:33  baggins
- 8.3pl1
- up BR lablgtk2 to 2.12

Revision 1.13  2009/02/16 13:29:16  baggins
- added TODO

Revision 1.12  2009/02/16 13:19:46  baggins
- 8.1pl4

Revision 1.11  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.9  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.8  2005/12/10 01:45:36  baggins
- release 2
- builds with new ocaml and lablgtk (with some patching)
- updated files (include coqide)

Revision 1.7  2005/07/25 01:02:56  aredridel
- finish update to 8.0pl2

Revision 1.6  2005/07/24 19:54:38  aredridel
- start up to 8.0pl2

Revision 1.5  2004/11/10 13:47:03  paladine
- cosmetics

Revision 1.4  2003/10/21 18:49:38  qboosh
- pl, missing dirs

Revision 1.3  2003/10/14 20:14:07  baggins
- go ahead and edit it ;)

Revision 1.2  2003/10/14 18:19:56  baggins
- add patch needed to build with ocaml 3.07

Revision 1.1  2003/10/14 17:56:30  baggins
- initial revision
